Name:           perl-Coro
Version:        5.22
Release:        1%{?dist}
Summary:        Coroutine process abstraction

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Coro/
Source0:        http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/Coro-%{version}.tar.gz
Patch0:         Coro-4.51-noask.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(EV)
BuildRequires:  perl(Event)
BuildRequires:  perl(Guard)
BuildRequires:  perl(IO::AIO)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(ExtUtils::Command::MM)
BuildRequires:  perl(AnyEvent)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module collection manages coroutines. Coroutines are similar to
threads but don't run in parallel at the same time even on SMP machines.
The specific flavor of coroutine used in this module also guarantees you
that it will not switch between coroutines unless necessary, at
easily-identified points in your program, so locking and parallel access
are rarely an issue, making coroutine programming much safer than
threads programming.



%prep
%setup -q -n Coro-%{version}
%patch0 -p1 -b .noask


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes COPYING README README.linux-glibc
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Coro.pm
%{perl_vendorarch}/Coro/
%{_mandir}/man3/*.3*


%changelog
* Sat Apr 24 2010 Nicolas Chauvet <kwizart@fedoraproject.org> - 5.22-1
- Update to 5.22

* Sun Nov  8 2009 kwizart < kwizart at gmail.com > - 5.2-1
- Update to 5.2

* Mon Jun 23 2008 kwizart < kwizart at gmail.com > - 4.743-1
- Update to 4.743

* Thu May 29 2008 kwizart < kwizart at gmail.com > - 4.73-1
- Update to 4.73

* Tue May 27 2008 kwizart < kwizart at gmail.com > - 4.72-1
- Update to 4.52

* Wed Apr 30 2008 kwizart < kwizart at gmail.com > - 4.51-1
- Initial package for Fedora

